package sharedDataInterfaces;

public interface GraphDataInterface
{   // utility methods
    /** Return length of y data array*/
    public int getLength();
    /** Returns the smallest x axis data point*/
    public double getMinX();
    /** Returns the largest x axis data point*/
    public double getMaxX();
    /** Returns the smallest y axis data point*/
    public double getMinY();
    /** Returns the largest y axis data point*/
    public double getMaxY();

    // other get methods
    public double[] getX(); // X data
    public double[] getY(); // Y data
    public String getXLabel();
    public String getYLabel();
    public String getTitle();
    public boolean getIsGraphData();
    public boolean getIsDataError();
}
